'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

/**
 * Menu item for navigation menu
 * @param {*} props
 */
function LeftNavMenuItem(props) {
  var active = '';
  var activeIcon = '';
  active = props.active ? 'icon_container-active' : 'icon_container-inactive';
  activeIcon = props.active ? 'active-icon' : '';
  return _react2['default'].createElement(
    'li',
    { className: 'nav__item', onClick: props.onClick },
    _react2['default'].createElement(
      'div',
      { className: 'icon_container ' + active },
      props.image ? _react2['default'].createElement('img', { className: 'icon_nav ' + activeIcon, src: props.image }) : null,
      props.children
    )
  );
}

LeftNavMenuItem.defaultProps = {
  active: false,
  image: ''
};

LeftNavMenuItem.propTypes = {
  active: _react2['default'].PropTypes.bool,
  /** image URI */
  image: _react2['default'].PropTypes.string
};

exports['default'] = LeftNavMenuItem;
module.exports = exports['default'];
//# sourceMappingURL=LeftNavMenuItem.js.map